Sam Virgo Sam Virgo - 1 month ago 13
Dart Question

Dart protobuf: what version of protoc should I download?

I am attempting to follow instructions in this article:

https://www.dartlang.org/articles/libraries/serialization#protobuf-example

Step one is to install protocol compiler. My question is, does it matter which version I download? Do I need to use the javasript version as Dart will be compiling down to Javascript? Please see below link to list of all protoc downloads to see what I mean:

https://github.com/google/protobuf/releases/tag/v3.0.0

Any advise would be massively appreciated. Apologies if this has a very obvious answer - I am quite new to this and struggling to find more information anywhere.

Thanks in advance.

Answer

You don't need anything special for JS. The compiler generates Dart code that gets compiled to JS

Install one of:

  • protoc-3.0.0-linux-x86_32.zip
  • protoc-3.0.0-linux-x86_64.zip
  • protoc-3.0.0-osx-x86_32.zip
  • protoc-3.0.0-osx-x86_64.zip
  • protoc-3.0.0-win32.zip